<div class="container kd-dialog-default">
  <h1 mat-dialog-title>{{ data.title }}</h1>
  <h3>{{ data.message }}</h3>

  <mat-dialog-content>
    <div class="form-group">
      <mat-form-field class="kd-date">
        <input matInput [matDatepicker]="picker" [(ngModel)]="newDatePicker" placeholder="Select date">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
    </div>

    <div class="form-group">
      <h4 class="kd-report-title">Report text</h4>
      <textarea rows="12" cols="55" [(ngModel)]="newReportText" class="kd-report-text"></textarea>
    </div>
    <div class="kd-div-top-spacer"></div>

    <div style="float:right;margin:20px;">
      <button style="margin:0px 10px;"
              type="submit"
              class="btn btn-primary kd-btn-primary"
              [ngClass]="editHoverClass()"
              [disabled]="editDisable()"
              (click)="onEdit()">
              Edit
      </button>
      <button type="reset"
              class="btn btn-danger kd-btn-danger"
              (click)="onCancel()">
              Cancel
      </button>
    </div>
  </mat-dialog-content>
</div>
